package be.iminds.ilabt.jfed.experimenter_gui.editor.properties;

import javafx.scene.control.Tab;

/**
 * User: twalcari
 * Date: 9/1/2014
 * Time: 16:51
 */
public abstract class PropertiesTab extends Tab {

    {
        setClosable(false);
    }

    public abstract void save();

    /**
     * Returns an error message if there is an error, otherwise returns null
     * @return
     */
    public abstract String validateConfiguration();
}
